| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# GaudiDict Namespace Reference

## Functions
std::string | typeName (const std::type_info &typ)
std::string | vectorName (const std::type_info &typ)
std::string | vectorName (const std::string &typ)
std::string | pairName (const std::type_info &typ1, const std::type_info &typ2)
std::string | relationName (const std::string &prefix, const std::type_info &typ1, const std::type_info &typ2)
std::string | templateName1 (const std::string &templ, const std::type_info &typ)
std::string | templateName1 (const std::string &templ, const std::string &typ)
std::string | templateName2 (const std::string &templ, const std::type_info &typ1, const std::type_info &typ2)
std::string | templateName3 (const std::string &templ, const std::type_info &typ1, const std::type_info &typ2, const std::type_info &typ3)
std::string | keyedContainerName (const std::string &prefix, const std::type_info &typ1)
std::string | typeName (const std::type_info &typ)
std::string | templateName1 (const std::string &templ, const std::type_info &typ)
std::string | templateName1 (const std::string &templ, const std::string &typ)
std::string | templateName2 (const std::string &templ, const std::type_info &typ1, const std::type_info &typ2)
std::string | templateName3 (const std::string &templ, const std::type_info &typ1, const std::type_info &typ2, const std::type_info &typ3)
std::string | vectorName (const std::type_info &typ)
std::string | vectorName (const std::string &typ)
std::string | pairName (const std::type_info &typ1, const std::type_info &typ2)
std::string | keyedContainerName (const std::string &mgr_typ, const std::type_info &typ1)
std::string | relationName (const std::string &, const std::type_info &, const std::type_info &)

## Function Documentation

std::string GaudiDict::keyedContainerName | ( | const std::string & | mgr_typ,
|  | const std::type_info & | typ1 |
| ) |  |  |

Definition at line 73 of file Dictionary.cpp.

References clean(), std::basic_string< _CharT, _Traits, _Alloc >::length(), Gaudi::Units::s, and typeName().

    00073                                                                                             {
    00074   std::string s = "KeyedContainer<";
    00075   s += typeName(typ1);
    00076   s += ",";
    00077   s += mgr_typ;
    00078   if ( mgr_typ[mgr_typ.length()-1]=='>' ) s += " ";
    00079   s += ">";
    00080   return clean(s);
    00081 }

std::string GaudiDict::keyedContainerName | ( | const std::string & | prefix,
|  | const std::type_info & | typ1 |
| ) |  |  |

Definition at line 73 of file Dictionary.cpp.

References clean(), std::basic_string< _CharT, _Traits, _Alloc >::length(), Gaudi::Units::s, and typeName().

    00073                                                                                             {
    00074   std::string s = "KeyedContainer<";
    00075   s += typeName(typ1);
    00076   s += ",";
    00077   s += mgr_typ;
    00078   if ( mgr_typ[mgr_typ.length()-1]=='>' ) s += " ";
    00079   s += ">";
    00080   return clean(s);
    00081 }

std::string GaudiDict::pairName | ( | const std::type_info & | typ1,
|  | const std::type_info & | typ2 |
| ) |  |  |

Definition at line 69 of file Dictionary.cpp.

References templateName2().

    00069                                                                                  {
    00070   return templateName2("std::pair", typ1, typ2);
    00071 }

std::string GaudiDict::pairName | ( | const std::type_info & | typ1,
|  | const std::type_info & | typ2 |
| ) |  |  |

Definition at line 69 of file Dictionary.cpp.

References templateName2().

    00069                                                                                  {
    00070   return templateName2("std::pair", typ1, typ2);
    00071 }

std::string GaudiDict::relationName | ( | const std::string & | ,
|  | const std::type_info & | ,
|  | const std::type_info & |  |
| ) |  |  |

Definition at line 83 of file Dictionary.cpp.

    00083                                                                                                                                  {
    00084   return "";
    00085 }

std::string GaudiDict::relationName | ( | const std::string & | prefix,
|  | const std::type_info & | typ1,
|  | const std::type_info & | typ2 |
| ) |  |  |

Definition at line 83 of file Dictionary.cpp.

    00083                                                                                                                                  {
    00084   return "";
    00085 }

std::string GaudiDict::templateName1 | ( | const std::string & | templ,
|  | const std::string & | typ |
| ) |  |  |

Definition at line 34 of file Dictionary.cpp.

References clean(), and Gaudi::Units::s.

    00034                                                                                 {
    00035   std::string s = templ + "<";
    00036   s += typ;
    00037   s += (s[s.length()-1] == '>') ? " >" : ">";
    00038   return clean(s);
    00039 }

std::string GaudiDict::templateName1 | ( | const std::string & | templ,
|  | const std::type_info & | typ |
| ) |  |  |

Definition at line 30 of file Dictionary.cpp.

References templateName1(), and typeName().

    00030                                                                                    {
    00031   return templateName1(templ, typeName(typ));
    00032 }

std::string GaudiDict::templateName1 | ( | const std::string & | templ,
|  | const std::string & | typ |
| ) |  |  |

Definition at line 34 of file Dictionary.cpp.

References clean(), and Gaudi::Units::s.

    00034                                                                                 {
    00035   std::string s = templ + "<";
    00036   s += typ;
    00037   s += (s[s.length()-1] == '>') ? " >" : ">";
    00038   return clean(s);
    00039 }

std::string GaudiDict::templateName1 | ( | const std::string & | templ,
|  | const std::type_info & | typ |
| ) |  |  |

Definition at line 30 of file Dictionary.cpp.

Referenced by templateName1(), and vectorName().

    00030                                                                                    {
    00031   return templateName1(templ, typeName(typ));
    00032 }

std::string GaudiDict::templateName2 | ( | const std::string & | templ,
|  | const std::type_info & | typ1,
|  | const std::type_info & | typ2 |
| ) |  |  |

Definition at line 41 of file Dictionary.cpp.

References clean(), Gaudi::Units::s, and typeName().

Referenced by pairName().

    00041                                                                                                               {
    00042   std::string s = templ + "<";
    00043   s += typeName(typ1);
    00044   s += ",";
    00045   s += typeName(typ2);
    00046   s += (s[s.length()-1] == '>') ? " >" : ">";
    00047   return clean(s);
    00048 }

std::string GaudiDict::templateName2 | ( | const std::string & | templ,
|  | const std::type_info & | typ1,
|  | const std::type_info & | typ2 |
| ) |  |  |

Definition at line 41 of file Dictionary.cpp.

References clean(), Gaudi::Units::s, and typeName().

Referenced by pairName().

    00041                                                                                                               {
    00042   std::string s = templ + "<";
    00043   s += typeName(typ1);
    00044   s += ",";
    00045   s += typeName(typ2);
    00046   s += (s[s.length()-1] == '>') ? " >" : ">";
    00047   return clean(s);
    00048 }

std::string GaudiDict::templateName3 | ( | const std::string & | templ,
|  | const std::type_info & | typ1,
|  | const std::type_info & | typ2,
|  | const std::type_info & | typ3 |
| ) |  |  |

Definition at line 50 of file Dictionary.cpp.

References clean(), Gaudi::Units::s, and typeName().

    00050                                                                                                                                         {
    00051   std::string s = templ + "<";
    00052   s += typeName(typ1);
    00053   s += ",";
    00054   s += typeName(typ2);
    00055   s += ",";
    00056   s += typeName(typ3);
    00057   s += (s[s.length()-1] == '>') ? " >" : ">";
    00058   return clean(s);
    00059 }

std::string GaudiDict::templateName3 | ( | const std::string & | templ,
|  | const std::type_info & | typ1,
|  | const std::type_info & | typ2,
|  | const std::type_info & | typ3 |
| ) |  |  |

Definition at line 50 of file Dictionary.cpp.

References clean(), Gaudi::Units::s, and typeName().

    00050                                                                                                                                         {
    00051   std::string s = templ + "<";
    00052   s += typeName(typ1);
    00053   s += ",";
    00054   s += typeName(typ2);
    00055   s += ",";
    00056   s += typeName(typ3);
    00057   s += (s[s.length()-1] == '>') ? " >" : ">";
    00058   return clean(s);
    00059 }

std::string GaudiDict::typeName | ( | const std::type_info & | typ | ) |

Definition at line 22 of file Dictionary.cpp.

References clean(), and System::typeinfoName().

Referenced by keyedContainerName(), makeStreamer(), templateName1(), templateName2(), and templateName3().

    00022                                                       {
    00023   std::string r = clean(System::typeinfoName(typ));
    00024   //if ( r.substr(0,4) == "enum" )  {
    00025   //  r = "int";
    00026   //}
    00027   return r;
    00028 }

std::string GaudiDict::typeName | ( | const std::type_info & | typ | ) |

Definition at line 22 of file Dictionary.cpp.

References clean(), and System::typeinfoName().

Referenced by keyedContainerName(), makeStreamer(), templateName1(), templateName2(), and templateName3().

    00022                                                       {
    00023   std::string r = clean(System::typeinfoName(typ));
    00024   //if ( r.substr(0,4) == "enum" )  {
    00025   //  r = "int";
    00026   //}
    00027   return r;
    00028 }

std::string GaudiDict::vectorName | ( | const std::string & | typ | ) |

Definition at line 65 of file Dictionary.cpp.

References templateName1().

    00065                                                       {
    00066   return templateName1("std::vector", typ);
    00067 }

std::string GaudiDict::vectorName | ( | const std::type_info & | typ | ) |

Definition at line 61 of file Dictionary.cpp.

References templateName1().

    00061                                                          {
    00062   return templateName1("std::vector", typ);
    00063 }

std::string GaudiDict::vectorName | ( | const std::string & | typ | ) |

Definition at line 65 of file Dictionary.cpp.

References templateName1().

    00065                                                       {
    00066   return templateName1("std::vector", typ);
    00067 }

std::string GaudiDict::vectorName | ( | const std::type_info & | typ | ) |

Definition at line 61 of file Dictionary.cpp.

    00061                                                          {
    00062   return templateName1("std::vector", typ);
    00063 }